Clean(1.8)

NAME
Clean - the AfterStep desktop clutter reduction module

SYNOPSIS
Clean [-f config_file] [-v | --version] [-h | --help]

Although Clean can be run from the command line, it is normally spawned by afterstep in the autoexec file, in the following manner:

        Module  "I"     Clean

or from within an afterstep menu file by 'Clean':

% cat "~/GNUstep/Library/AfterStep/start/Modules/Clean"
        Module "Clean" Clean
        MiniPixmap "mini-as.xpm"
To stop the Clean module, a menu item can be used:

% cat "~/GNUstep/Library/AfterStep/start/Modules/Clean_Stop"
	KillModuleByName "Stop Clean" Clean
	MiniPixmap "mini-as.xpm"

DESCRIPTION
The Clean module performs actions on windows which have not had the keyboard focus for a specific length of time. This is intended to help alleviate the problem of leaving programs running in unused portions of your desktop.

OPTIONS

-f config_file
    Use config_file instead of the default configuration file.

-h | --help
    Print a usage message and exit successfully.

-v | --version
    Print version information and exit successfully.

INITIALIZATION
During initialization, Clean will search for a configuration file which describes the time-outs and the actions to take. This file will be the one specified by the -f option (if given). Else, the ~/GNUstep/Library/AfterStep/clean file will be used if it exists. Else, /usr/local/share/afterstep/clean will be used. If the Clean executable is linked to another name, ie 'ln -s Clean OtherClean', then another module called OtherClean can be started, with a completely different set of configurations than Clean, simply by adding *OtherClean options following the same *Clean configuration options below to the clean file. This way multiple Cleaning modules can be used.

INVOCATION
Clean can be invoked from the autoexec file or by binding the action "Module Clean [args]" to a key-stroke in a feel file, or from a menu item as shown in the Synopsis section above. AfterStep will search through the directories specified in the ModulePath configuration in the base.#bpp (where # is your colordepth) to attempt to locate Clean.

CONFIGURATION FILE
Clean reads the clean file when it starts up and looks for its configuration options:

*Clean seconds command
    Tells Clean to sleep for x number of seconds after a window loses focus before it executes the given command; where command is any built-in AfterStep command.

EXAMPLES
At most 3 actions can be specified on any one line.

*Clean 3600 Iconify 1
    This will sleep for 3600 seconds (1 hour) and then Iconify all windows not having been given focus within that 1 hour. The 1 after Iconify defines that only iconification should occur. Refer to the afterstep.man for further detail on Iconify options.

*Clean 86400 Delete
    This will sleep for 86400 seconds (24 hours) and then Delete all windows not having been given focus within that 24 hours. Refer to the afterstep.man for further detail on Delete.

FILES

/usr/local/share/afterstep/clean
    The global configuration file for system wide defaults of all users.

$HOME/GNUstep/Library/AfterStep/clean
    This file should be copied from the /usr/local/share/afterstep/clean and edited to suit a users specific requirements. This file, if it exists, will override the system wide default file.

AUTHORS
Robert Nation
David Taylor <dtaylor@cit.nepean.uws.edu.au>
David Mihm <dmihm@swbell.net> [Man page]

SEE ALSO
afterstep(1)